Skip to main content
GET
/
v1
/
identity
/
accounts
/
{id}
Get account by ID
curl --request GET \
  --url https://api.beltic.com/v1/identity/accounts/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "data": {
    "id": "<string>",
    "type": "account",
    "attributes": {
      "status": "active",
      "entity_type": "person",
      "external_id": "<string>",
      "person": {
        "name": {
          "first": "<string>",
          "middle": "<string>",
          "last": "<string>"
        },
        "birth_date": "<string>"
      },
      "business": {
        "legal_name": "<string>",
        "registration_date": "<string>",
        "shareholders": [
          {
            "name": "<string>",
            "shareholder_type": "<string>",
            "date_of_birth": "<string>",
            "id_type": "<string>",
            "id_number": "<string>",
            "number_of_share": "<string>",
            "percentage_of_share": 123
          }
        ]
      },
      "contact": {
        "email": "jsmith@example.com",
        "phone": "<string>"
      },
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "sublocality": "<string>",
        "locality": "<string>",
        "administrative_area": "<string>",
        "postal_code": "<string>",
        "country_code": "<string>"
      },
      "identity_numbers": [
        {
          "number": "<string>",
          "issuing_country_code": "<string>",
          "class": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>"
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>",
      "redacted_at": "<string>"
    },
    "relationships": {
      "sessions": {
        "data": [
          {
            "type": "<string>",
            "id": "<string>"
          }
        ]
      },
      "documents": {
        "data": [
          {
            "type": "<string>",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "meta": {},
  "links": {}
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Access https://console.beltic.com/ to obtain your API key.

Path Parameters

id
string<uuid>
required

The unique identifier of the account

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved account

data
object
required
meta
object